# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::Fog Class Reference

RenderState wrapping the OpenGL function glFog(), see also http://www.opengl.org/sdk/docs/man/xhtml/glFog.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::Fog:

List of all members.

## Public Member Functions

| Fog (EFogMode mode=FM_LINEAR, fvec4 color=fvec4(0, 0, 0, 0), float density=1, float start=0, float end=1)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (EFogMode mode, fvec4 color, float density, float start, float end)
void | setColor (fvec4 color)
void | setMode (EFogMode mode)
void | setDensity (float density)
void | setStart (float start)
void | setEnd (float end)
fvec4 | color () const
EFogMode | mode () const
float | density () const
float | start () const
float | end () const

## Protected Attributes

fvec4 | mColor
EFogMode | mMode
float | mDensity
float | mStart
float | mEnd

## Detailed Description

RenderState wrapping the OpenGL function glFog(), see also http://www.opengl.org/sdk/docs/man/xhtml/glFog.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_FOG

Definition at line 573 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::Fog::Fog | ( | EFogMode | mode = `FM_LINEAR`,
|  | fvec4 | color = `fvec4(0,0,0,0)`,
|  | float | density = `1`,
|  | float | start = `0`,
|  | float | end = `1`
| ) |  | `[inline]`

Definition at line 576 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::Fog::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

Definition at line 581 of file Shader.hpp.

virtual ERenderState vl::Fog::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 582 of file Shader.hpp.

References vl::RS_Fog.

void Fog::apply | ( | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 419 of file Shader.cpp.

References mColor, mDensity, mEnd, mMode, mStart, vl::Vector4< T_Scalar >::ptr(), and VL_CHECK_OGL.

void vl::Fog::set | ( | EFogMode | mode,
|  | fvec4 | color,
|  | float | density,
|  | float | start,
|  | float | end
| ) |  | `[inline]`

Definition at line 584 of file Shader.hpp.

void vl::Fog::setColor | ( | fvec4 | color ) | `[inline]`

Definition at line 585 of file Shader.hpp.

void vl::Fog::setMode | ( | EFogMode | mode ) | `[inline]`

Definition at line 586 of file Shader.hpp.

void vl::Fog::setDensity | ( | float | density ) | `[inline]`

Definition at line 587 of file Shader.hpp.

void vl::Fog::setStart | ( | float | start ) | `[inline]`

Definition at line 588 of file Shader.hpp.

void vl::Fog::setEnd | ( | float | end ) | `[inline]`

Definition at line 589 of file Shader.hpp.

fvec4 vl::Fog::color | ( | ) | const`[inline]`

Definition at line 590 of file Shader.hpp.

EFogMode vl::Fog::mode | ( | ) | const`[inline]`

Definition at line 591 of file Shader.hpp.

float vl::Fog::density | ( | ) | const`[inline]`

Definition at line 592 of file Shader.hpp.

float vl::Fog::start | ( | ) | const`[inline]`

Definition at line 593 of file Shader.hpp.

float vl::Fog::end | ( | ) | const`[inline]`

Definition at line 594 of file Shader.hpp.

## Member Data Documentation

fvec4 vl::Fog::mColor`[protected]`

Definition at line 596 of file Shader.hpp.

Referenced by apply().

EFogMode vl::Fog::mMode`[protected]`

Definition at line 597 of file Shader.hpp.

Referenced by apply().

float vl::Fog::mDensity`[protected]`

Definition at line 598 of file Shader.hpp.

Referenced by apply().

float vl::Fog::mStart`[protected]`

Definition at line 599 of file Shader.hpp.

Referenced by apply().

float vl::Fog::mEnd`[protected]`

Definition at line 600 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:46.
Permission is granted to use this page to write and publish articles regarding Visualization Library.